Wing FTP Server < 3.4.5 HTTP Request Directory Traversal

Medium Nessus Network Monitor Plugin ID 5524

Synopsis

The remote host is vulnerable to a directory traversal attack.

Description

The remote host is running Wing FTP server. The installed version of Wing FTP is earlier than 3.4.5. Such versions are potentially affected by a directory traversal vulnerability over the HTTP protocol. An attacker, exploiting this flaw, could access arbitrary files on the affected host.

Solution

Upgrade to Wing FTP Server 3.4.5 or later.

See Also

http://www.wftpserver.com/serverhistory.htm

Plugin Details

Severity: Medium

ID: 5524

File Name: 5524.prm

Family: CGI

Published: 2010/04/29

Modified: 2016/01/21

Dependencies: 1442

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 5

Temporal Score: 4.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:F/RL:U/RC:ND

CVSSv3

Base Score: 5.3

Temporal Score: 5.2

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

Temporal Vector: CVSS3#E:F/RL:U/RC:X

Vulnerability Information

Patch Publication Date: 2010/04/29

Vulnerability Publication Date: 2010/04/27

Reference Information

BID: 39744